# Eval Module

Many generative AI applications focus on text generation. It can be challenging to create metrics for  insights into expected performance when dealing with unstructured text.<br>

`dbnl.eval` is a special module designed for evaluating unstructured text. This module currently includes:

* Adaptive metric sets for generic text and RAG applications
* 12+ simple statistical local library powered text metrics
* 15+ LLM-as-judge and embedding powered text metrics
* Support for user-defined custom LLM-as-judge metrics&#x20;
* LLM-as-judge metrics compatible with OpenAI, Azure OpenAI

Building DBNL tests on these evaluation metrics can then drive rich insights into an AI application's stability and performance.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dbnl.com/v0.25.x/reference/python-sdk/eval-module.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
